# class RSS::NotWellFormedError

### Attributes

element[R]
line[R]

### Public Class Methods

new(line=nil, element=nil) click to toggle source

Create a new `NotWellFormedError` for an error at `line` in `element`. If a block is given the return value of the block ends up in the error message.

Calls superclass method

    # File lib/rss/parser.rb, line 16
    def initialize(line=nil, element=nil)
      message = "This is not well formed XML"
      if element or line
        message << "\nerror occurred"
        message << " in #{element}" if element
        message << " at about #{line} line" if line
      end
      message << "\n#{yield}" if block_given?
      super(message)
    end